<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/ui_surface">

    <include
        android:id="@+id/bodyContainer"
        layout="@layout/layout_game_detail_body"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_above="@+id/detail_ll_bottom" />

    <include
        android:id="@+id/reuse_no_connection"
        layout="@layout/reuse_no_connection" />

    <include
        android:id="@+id/reuse_none_data"
        layout="@layout/reuse_none_data" />

    <include
        android:id="@+id/reuse_data_exception"
        layout="@layout/reuse_data_exception" />

    <include
        android:id="@+id/detail_ll_bottom"
        layout="@layout/detail_download_item" />

    <View
        android:id="@+id/divider"
        android:layout_width="match_parent"
        android:layout_height="7dp"
        android:layout_above="@id/detail_ll_bottom"
        android:background="@drawable/shadow"
        android:visibility="gone" />

    <ImageView
        android:id="@+id/expandSpecialDownloadIv"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="61dp"
        android:src="@drawable/ic_special_download_expand"
        android:visibility="gone"
        tools:visibility="visible" />

    <LinearLayout
        android:id="@+id/error_toolbar_container"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        android:visibility="gone">

        <com.gh.gamecenter.common.view.StatusBarView
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <include
            android:id="@+id/error_reuse_toolbar"
            layout="@layout/reuse_toolbar" />

    </LinearLayout>

    <include
        android:id="@+id/pop_reserver_guide"
        layout="@layout/pop_reserver_guide"
        android:layout_width="wrap_content"
        android:layout_height="42dp"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="14dp"
        android:layout_marginBottom="55dp"
        android:visibility="gone"
        tools:visibility="visible"/>

    <include
        android:id="@+id/game_detail_recommend_view"
        layout="@layout/layout_game_detail_recommend_view"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginBottom="164dp"
        android:visibility="invisible"
        tools:visibility="visible" />

    <FrameLayout
        android:id="@+id/list_skeleton"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />

</RelativeLayout>